﻿@model IEnumerable<eCommerce.Services.Model.City>
@{
    ViewBag.Title = "Costos de envio Moto";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Costos Moto</h1>
    <div class="page-header-actions">
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/MotoDelivery/MotoDeliveryCreate'">
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">NUEVA CIUDAD</span>
            </button>
            <button type="button" class="btn btn-outline btn-primary" onclick="">
                <i class="icon wb-download" aria-hidden="true"></i>
                <span class="hidden-xs">EXCEL</span>
            </button>
        </div>
    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
            @Html.Partial("_MotoDeliveryList", Model)
        </div>
    </div>

</div>

@section Scripts {
    
    <script src="/Content/assets/vendor/editable-table/mindmup-editabletable.js"></script>
    <script src="/Content/assets/vendor/editable-table/numeric-input-example.js"></script>
    <script src="/Content/assets/js/components/editable-table.js"></script>
    
    <script type="text/javascript">

        $(document).ready(function () {
            //setActionsDialogs();
        })

        function fDelete(Id)
        {
            $.ajax({
                url: "/MotoDelivery/MotoDeliveryDelete/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('#editableTable').DataTable();
                    $('#editableTable').editableTableWidget();

                    //setActionsDialogs();
                    swal("Eliminado!", "", "success");
                }
            });
        }
        function fDeleteDialog(cityId)
        {
            var cityId = cityId;
            swal({
                title: "Confirma su acción de Eliminar?",
                text: "",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: '#F26A54',
                confirmButtonText: 'Sí, deseo elminarlo!',
                cancelButtonText: 'Cancelar',
                closeOnConfirm: false,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    fDelete(cityId);
                }
            });
        }

        $('#editableTable').editableTableWidget();
        
        $('table td').on('validate', function(evt, newValue) {
            if ($(this).attr("id").startsWith("CityCost"))
            {
                if (newValue.match(/[a-z]/i)) {
                    return false;
                }
            }

            
        });
        $('table td').on('validate', function (evt, newValue) {
            debugger;
            if ($(this).attr("id").startsWith("CityProvince") || $(this).attr("id").startsWith("accion")) {
                 return false;
            }

        });

        $('table td').on('change', function (evt, newValue) {

            if (this.id == "accion")
            {
                return false;
            }

            var cityId = this.id.split('-')[1];

            var cityName = $("#CityName-" + cityId).text();
            var newCost = $("#CityCost-" + cityId).text();

            var shippingCost = newCost.replace(" ", "");
            shippingCost = shippingCost.replace("$", "");
            shippingCost = shippingCost.replace(".", "");
            shippingCost = shippingCost.replace(",", ".");


            if (newValue != null) { 
                $.ajax({
                    url: "/MotoDelivery/MotoDeliveryUpdate/",
                    type: "POST",
                    data: { CityId: cityId, NewName: cityName, NewShippingCost: shippingCost},
                    success: function (data, textStatus, jqXHR)
                    {
                        if(data=="error")
                        {
                            toastr.error('Error al modificar datos.');
                        } else {
                            debugger;
                            $("#CityCost-" + cityId).text("$" + parseFloat(data).toFixed(2));
                            toastr.success('Datos modificados');
                            
                        }
                    }
                });
            }
        });

    </script>



}

